Package org.openoffice.da.comp.w2lcommon.filter

# Class OptionsDialogBase

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.DialogAccess
org.openoffice.da.comp.w2lcommon.helper.DialogBase
org.openoffice.da.comp.w2lcommon.filter.OptionsDialogBase

All Implemented Interfaces:
  `com.sun.star.awt.XDialogEventHandler`, `com.sun.star.beans.XPropertyAccess`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.ui.dialogs.XExecutableDialog`, `com.sun.star.uno.XInterface`

Direct Known Subclasses:
  `EpubOptionsDialog`, `LaTeXOptionsDialog`, `XhtmlOptionsDialog`, `XhtmlOptionsDialogCalc`

public abstract class OptionsDialogBase extends DialogBase implements com.sun.star.beans.XPropertyAccess
This class provides an abstract uno component which implements a filter ui

## Field Summary

Fields
Modifier and Type
Field
Description
`protected com.sun.star.lang.XMultiServiceFactory`
`xMSF`

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`__implementationName, __serviceName, xContext`

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`CHECKBOX_CHECKED, CHECKBOX_DONT_KNOW, CHECKBOX_NOT_CHECKED`

### Fields inherited from interface com.sun.star.awt.XDialogEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.ui.dialogs.XExecutableDialog

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.beans.XPropertyAccess

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`OptionsDialogBase(com.sun.star.uno.XComponentContext xContext)`
Create a new OptionsDialogBase

## Method Summary

Modifier and Type
Method
Description
`void`
`endDialog()`
Finalize the dialog after execution (eg. save settings to the registry)
`abstract String`
`getDialogLibraryName()`
Return the name of the library containing the dialog
`abstract String`
`getDialogName()`
Return the name of the dialog within the library
`com.sun.star.beans.PropertyValue[]`
`getPropertyValues()`
`abstract String`
`getRegistryPath()`
Return the path to the options in the registry
`com.sun.star.uno.Type[]`
`getTypes()`
`void`
`initialize()`
Initialize the dialog (eg. with settings from the registry)
`protected boolean`
`isLocked(String sOptionName)`
`protected boolean`
`loadCheckBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected String`
`loadComboBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected void`
`loadConfig(com.sun.star.beans.XPropertySet xProps)`
`protected short`
`loadListBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected int`
`loadNumericOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected abstract void`
`loadSettings(com.sun.star.beans.XPropertySet xRegistryProps)`
Load settings from the registry to the dialog The subclass must implement this
`protected String`
`loadTextFieldOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected boolean`
`saveCheckBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected boolean`
`saveCheckBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`
`protected String`
`saveComboBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected String`
`saveComboBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`
`protected short`
`saveConfig(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData)`
`protected short`
`saveListBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected short`
`saveListBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName, String[] sValues)`
`protected int`
`saveNumericOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected int`
`saveNumericOptionAsPercentage(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`
`protected abstract void`
`saveSettings(com.sun.star.beans.XPropertySet xRegistryProps, PropertyHelper filterData)`
Save settings from the dialog to the registry and create FilterData The subclass must implement this
`protected String`
`saveTextFieldOption(com.sun.star.beans.XPropertySet xProps, String sName)`
`protected String`
`saveTextFieldOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`
`void`
`setPropertyValues(com.sun.star.beans.PropertyValue[] props)`
`protected void`
`updateLockedOptions()`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`callHandlerMethod, execute, getImplementationId, getImplementationName, getServiceName, getSupportedMethodNames, getSupportedServiceNames, setTitle, supportsService`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`getCheckBoxState, getCheckBoxStateAsBoolean, getComboBoxText, getControlEnabled, getControlProperties, getDateFieldValue, getDialog, getFormattedFieldText, getLabelText, getListBoxLineCount, getListBoxSelectedItem, getListBoxStringItemList, getNumericFieldValue, getTextFieldText, setCheckBoxState, setCheckBoxStateAsBoolean, setComboBoxText, setControlEnabled, setDateFieldValue, setDialog, setFormattedFieldText, setLabelText, setListBoxLineCount, setListBoxSelectedItem, setListBoxStringItemList, setNumericFieldValue, setTextFieldText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### xMSF

protected com.sun.star.lang.XMultiServiceFactory xMSF

## Constructor Details

### OptionsDialogBase

public OptionsDialogBase(com.sun.star.uno.XComponentContext xContext)
Create a new OptionsDialogBase

## Method Details

### loadSettings

protected abstract void loadSettings(com.sun.star.beans.XPropertySet xRegistryProps)
Load settings from the registry to the dialog The subclass must implement this

### saveSettings

protected abstract void saveSettings(com.sun.star.beans.XPropertySet xRegistryProps, PropertyHelper filterData)
Save settings from the dialog to the registry and create FilterData The subclass must implement this

### getDialogLibraryName

public abstract String getDialogLibraryName()
Return the name of the library containing the dialog

Specified by:
  `getDialogLibraryName` in class `DialogBase`

### getDialogName

public abstract String getDialogName()
Return the name of the dialog within the library

Specified by:
  `getDialogName` in class `DialogBase`

### getRegistryPath

public abstract String getRegistryPath()
Return the path to the options in the registry

### initialize

public void initialize()
Initialize the dialog (eg. with settings from the registry)

Specified by:
  `initialize` in class `DialogBase`

### endDialog

public void endDialog()
Finalize the dialog after execution (eg. save settings to the registry)

Specified by:
  `endDialog` in class `DialogBase`

### getTypes

public com.sun.star.uno.Type[] getTypes()

Specified by:
  `getTypes` in interface `com.sun.star.lang.XTypeProvider`
Overrides:
  `getTypes` in class `DialogBase`

### getPropertyValues

public com.sun.star.beans.PropertyValue[] getPropertyValues()

Specified by:
  `getPropertyValues` in interface `com.sun.star.beans.XPropertyAccess`

### setPropertyValues

public void setPropertyValues(com.sun.star.beans.PropertyValue[] props)

Specified by:
  `setPropertyValues` in interface `com.sun.star.beans.XPropertyAccess`

### updateLockedOptions

protected void updateLockedOptions()

### isLocked

protected boolean isLocked(String sOptionName)

### loadConfig

protected void loadConfig(com.sun.star.beans.XPropertySet xProps)

### saveConfig

protected short saveConfig(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData)

### loadCheckBoxOption

protected boolean loadCheckBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveCheckBoxOption

protected boolean saveCheckBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveCheckBoxOption

protected boolean saveCheckBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)

### loadListBoxOption

protected short loadListBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveListBoxOption

protected short saveListBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveListBoxOption

protected short saveListBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName, String[] sValues)

### loadComboBoxOption

protected String loadComboBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveComboBoxOption

protected String saveComboBoxOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveComboBoxOption

protected String saveComboBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)

### loadTextFieldOption

protected String loadTextFieldOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveTextFieldOption

protected String saveTextFieldOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveTextFieldOption

protected String saveTextFieldOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)

### loadNumericOption

protected int loadNumericOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveNumericOption

protected int saveNumericOption(com.sun.star.beans.XPropertySet xProps, String sName)

### saveNumericOptionAsPercentage

protected int saveNumericOptionAsPercentage(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)